Sql Pool Restore Points - Create
为数据仓库创建还原点。
POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Synapse/workspaces/{workspaceName}/sqlPools/{sqlPoolName}/restorePoints?api-version=2021-06-01
URI 参数
| 名称 | 在 | 必需 | 类型 | 说明 |
|---|---|---|---|---|
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
资源组的名称。 名称不区分大小写。 |
|
sql
|
path | True |
string |
SQL 池名称 |
|
subscription
|
path | True |
string minLength: 1 |
目标订阅的 ID。 |
|
workspace
|
path | True |
string |
工作区的名称。 |
|
api-version
|
query | True |
string minLength: 1 |
用于此作的 API 版本。 |
请求正文
| 名称 | 必需 | 类型 | 说明 |
|---|---|---|---|
| restorePointLabel | True |
string |
要应用的还原点标签 |
响应
| 名称 | 类型 | 说明 |
|---|---|---|
| 200 OK |
已成功创建还原点请求。 |
|
| 201 Created |
已成功创建还原点请求。 |
|
| 202 Accepted |
已接受 |
|
| Other Status Codes |
错误响应: ***
|
示例
Creates Sql pool restore point.
示例请求
POST https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Synapse/workspaces/testserver/sqlPools/testDatabase/restorePoints?api-version=2021-06-01
{
"restorePointLabel": "mylabel"
}
示例响应
azure-asyncoperation: https://ms.web.azuresynapse.net
{
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/providers/Microsoft.Synapse/workspaces/testserver/sqlPools/testDatabase/restorePoints/131546477590000000",
"name": "131546477590000000",
"type": "Microsoft.Synapse/workspaces/sqlPools/restorePoints",
"location": "japaneast",
"properties": {
"restorePointType": "DISCRETE",
"restorePointCreationDate": "2017-03-10T08:00:00.000Z",
"restorePointLabel": "mylabel"
}
}
azure-asyncoperation: https://ms.web.azuresynapse.net
{
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/providers/Microsoft.Synapse/workspaces/testserver/sqlPools/testDatabase/restorePoints/131546477590000000",
"name": "131546477590000000",
"type": "Microsoft.Synapse/workspaces/sqlPools/restorePoints",
"location": "japaneast",
"properties": {
"restorePointType": "DISCRETE",
"restorePointCreationDate": "2017-03-10T08:00:00.000Z",
"restorePointLabel": "mylabel"
}
}
azure-asyncoperation: https://ms.web.azuresynapse.net
定义
| 名称 | 说明 |
|---|---|
|
Create |
包含执行创建 Sql 池还原点作所需的信息。 |
|
Restore |
数据库还原点。 |
|
Restore |
还原点的类型 |
CreateSqlPoolRestorePointDefinition
包含执行创建 Sql 池还原点作所需的信息。
| 名称 | 类型 | 说明 |
|---|---|---|
| restorePointLabel |
string |
要应用的还原点标签 |
RestorePoint
数据库还原点。
| 名称 | 类型 | 说明 |
|---|---|---|
| id |
string |
资源的完全限定资源 ID。 示例 - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName} |
| location |
string |
资源位置。 |
| name |
string |
资源的名称 |
| properties.earliestRestoreDate |
string (date-time) |
此数据库可以还原到的最早时间 |
| properties.restorePointCreationDate |
string (date-time) |
备份的时间 |
| properties.restorePointLabel |
string |
用户备份请求的还原点标签 |
| properties.restorePointType |
还原点的类型 |
|
| type |
string |
资源的类型。 例如“Microsoft.Compute/virtualMachines”或“Microsoft.Storage/storageAccounts” |
RestorePointType
还原点的类型
| 值 | 说明 |
|---|---|
| CONTINUOUS | |
| DISCRETE |